
<div style="display: flex; justify-content: center">
  <div class="w-75 ml-5">
    <p class="header_2">How To Use The Prophane Webserver<p>
    <mat-accordion MatAccordion>
      <mat-expansion-panel expanded [expanded]="step === 0" (opened)="setStep(0)"  >
        <mat-expansion-panel-header class="expansion-header-tutorial">
          <mat-panel-title class="primary">
            Introduction
          </mat-panel-title>
        </mat-expansion-panel-header>
        <br>
        <p class="bold">Discover a Comprehensive Tutorial on Using the Prophane Web Service</p>
        Welcome to our hands-on tutorial, designed to guide you through the seamless utilization of the Prophane web
        service.
        Whether you're a beginner seeking step-by-step instructions or an advanced user looking to enhance your skills,
        our tutorial provides valuable insights.
        For those intrigued by deeper insights into Prophane, don't forget to explore our
        <a href="./about" style="color: blue">'About Prophane'</a> page.<br>
        Additionally, delve into the wealth of knowledge found in the publication titled
        <a href="https://www.nature.com/articles/s41596-020-0368-7">A complete and flexible workflow
            for metaproteomics data analysis based on MetaProteomeAnalyzer and Prophane</a>.
        This publication serves as a comprehensive resource for in-depth understanding.<br>

        The initial segment of each step's description begins with a concise overview, outlining the actions to be
        undertaken, followed by a meticulous, step-by-step guide on defining your analysis. Subsequently, a distinct
        pink box presents the specific steps employed for the tutorial test analysis.<br>
        <mat-action-row>
          <button mat-button color="primary" (click)="nextStep()">Next</button>
        </mat-action-row>
      </mat-expansion-panel>

      <mat-expansion-panel [expanded]="step === 1" (opened)="setStep(1)">
        <mat-expansion-panel-header class="expansion-header-tutorial">
          <mat-panel-title>
            Download of Test Data
          </mat-panel-title>
        </mat-expansion-panel-header>
        <br>
        <div class="tutorial">
          <p style="font-weight: bold;">Hands-On Tutorial:</p>
          Access the test files for <a href="{{ downloadURL }}" style="color: blue">download</a>, which encompass the
          protein identification data from six gastrointestinal
          samples (comprising three samples from patients before dietary changes and three after) along with a
          corresponding database.
        </div>
        <mat-action-row>
          <button mat-button color="warn" (click)="prevStep()">Previous</button>
          <button mat-button color="primary" (click)="nextStep()">Next</button>
        </mat-action-row>
      </mat-expansion-panel>

      <mat-expansion-panel [expanded]="step === 2" (opened)="setStep(2)">
        <mat-expansion-panel-header class="expansion-header-tutorial">
          <mat-panel-title>
            Login vs. no Login
          </mat-panel-title>
        </mat-expansion-panel-header>
        <br>
        <div class="image-container"  style="width: 80%;">
          <img src="assets/img/login.png" alt="login" >
        </div><br>
        You have the option to either log in and create a user account using 'Login with Google,' or you can proceed
        without logging in.<br>
        The benefits of setting up a user account via 'Login with Google' include unrestricted
        access to all analyses you've ever performed. <br>
        <br>
        If you choose to continue without logging in, you can provide your email address to receive notifications with a
        direct link to the analysis results. Alternatively, if you prefer not to log in and don't wish to provide an
        email address, you can manually copy the result URL for downloading and access to status information.
        <br>
        <div class="image-container" style="width: 80%;">
          <img src="assets/img/no_login.png" alt="login">
        </div>
        <br>
        <div class="tutorial">
          <p style="font-weight: bold;">Hands-On Tutorial:</p>
          Whether you choose to log in or not doesn't matter for this tutorial.
        </div>
        <mat-action-row>
          <button mat-button color="warn" (click)="prevStep()">Previous</button>
          <button mat-button color="primary" (click)="nextStep()">Next</button>
        </mat-action-row>
      </mat-expansion-panel>


      <mat-expansion-panel [expanded]="step === 3" (opened)="setStep(3)">
        <mat-expansion-panel-header class="expansion-header-tutorial">
          <mat-panel-title>
            The Expert Mode
          </mat-panel-title>
        </mat-expansion-panel-header>
        <div class="mt-1 mb-1"></div>
        <div>
          When initiating a Prophane analysis, you have the option to choose between a standard analysis and expert mode
          by toggling the 'expert' setting. Regardless of your choice, the analysis requires minimal input, namely the
          (meta-)protein identification file and the protein sequence FASTA file used for peptide spectrum matching.
        </div>
        <div class="mt-1 mb-1"></div>
        <br>
                <p class="header_2">Standard Analysis<p>
        <div>The standard analysis encompasses a taxonomic analysis and a functional analysis, all configured with
          default settings.
        </div>
        <br>
        <div class="mt-1 mb-1"></div>
        <p class="header_2">Expert Mode<p>
        <div>
          In expert mode, you gain the flexibility to finely customize each step of the workflow and add more annotation
          tasks.
          You can select from various annotation databases and search algorithms and in the 'Custom Maps' step, you can
          incorporate
          user-defined annotation maps. Additionally, you have control over the grouping of samples, quantification
          algorithms,
          and the lowest common ancestor (LCA) algorithm.dense
        </div>
        <br>
        <div class="mt-1 mb-1"></div>
        <p style="font-weight: bold;">Default Settings for standard Analysis:</p>
        <ul class="bullet_list">
          <li><strong>Taxonomic Analysis:</strong> Diamond algorithm with the NCBI non-redundant database..</li>
          <li><strong>Functional Analysis:</strong> Emapper algorithm with the Eggnog database.</li>
          <li><strong>Quantification method:</strong> NSAF (normalized to longest metaprotein).</li>
          <li><strong>Sample groups:</strong> None</li>
          <li><strong>Custom maps:</strong> None</li>
          <li><strong>Lowest common ancestor:</strong> LCA per group method with a threshold of 1.</li>
        </ul>
        <br>
        <div class="image-container" style="width: 10%;">
          <img src="assets/img/expert_button.png" alt="expert toggle" >
        </div>
        <br>
        <div class="tutorial">
          <p style="font-weight: bold;">Hands-On Tutorial:</p>
          <div>Activate the expert toggle!</div>
        </div>
        <mat-action-row>
          <button mat-button color="warn" (click)="prevStep()">Previous</button>
          <button mat-button color="primary" (click)="nextStep()">Next</button>
        </mat-action-row>
      </mat-expansion-panel>

      <mat-expansion-panel [expanded]="step === 4" (opened)="setStep(4)">
        <mat-expansion-panel-header class="expansion-header-tutorial">
          <mat-panel-title>
            1. Input
          </mat-panel-title>
        </mat-expansion-panel-header>
        <br>
        <div>
          <div class="instruction">
            <p class="bold">Step by Step Instruction: Setting Up Your Prophane Job</p>
            <dl class="row">
              <dt class="col-sm-3"><strong>1. Job Label:</strong></dt>
              <dd class="col-sm-9"> Begin by giving your new Prophane job a descriptive name. This label will help
                you easily identify and manage your analyses.</dd>
              <dt class="col-sm-3"><strong>2. Source:</strong></dt>
              <dd class="col-sm-9"> Select the appropriate input format for your protein identification file.
                Choose the format that matches the file you're uploading.</dd>
              <dt class="col-sm-3"><strong>3. Report file:</strong></dt>
              <dd class="col-sm-9"> Upload the protein identification file generated from your mass
                spectrometry analysis. This file should contain information about protein groups.</dd>
              <dt class="col-sm-3"><strong>4. FASTA file:</strong></dt>
              <dd class="col-sm-9"> Upload the corresponding FASTA file. This file should contain sequences
                for all the proteins identified in your report file. Ensure that the protein accessions or IDs in the
                FASTA
                file match those in the protein identification report.</dd>
              <dt class="col-sm-3"><strong>5. Exclude:</strong></dt>
              <dd class="col-sm-9">Use the 'Exclude' option to omit specific proteins from your analysis based
                on string matching. </dd>
            </dl>
          </div>
          <br>
          The minimum required input for a Prophane analysis includes a proteomic search result file and the
          corresponding matching FASTA file. To specify the format of the proteomic search result file, use the 'Source'
          option. The proteomic research file should be uploaded under 'Report file' and the protein sequence database
          under
          'FASTA File'.<br>
          <br>
          Once all the necessary input files have been selected, and you intend to perform a <strong>standard
            analysis</strong>
          exclusively, simply proceed to the next step and initiate the analysis by clicking the 'Submit' button.
        </div>
        <br>
        <p class="header_2">Report file<p>
        <div>
          The report file is the protein identification file derived from mass spectrometry analysis.
          It must include information about protein groups, also referred to as metaproteins or protein families.
          Prophane is versatile and supports a variety of input formats, including:
          <br><br>
          <ul class="bullet_list">
            <li>generic input format</li>
            <li>mzTab format</li>
            <li>mzIdent1.2 format</li>
          </ul>
          It also accommodates data produced by search software such as:
          <br>
          <ul class="bullet_list">
            <li>MetaProteome Analyzer in single or sample comparison format</li>
            <li>Proteome Discoverer protein group output</li>
            <li>Scaffold output</li>
          </ul>
          
          Descriptions on how to generate report files can be found in <a routerLink="/about"
            style="color:blue">"About Prophane"</a>, "Input Files". <br>
          If you intend to use a different input format regularly, please contact us via email at
          <strong>support&#64;prophane.de</strong>.
        </div>
        <br>
        <div></div>
        <p class="header_2">FASTA File<p>
        <div>
          The FASTA file can be plain or gzipped and should contain sequences for all identified proteins. Ensure that
          the protein accessions or IDs in the FASTA file match those used in the protein identification report. You can
          use the same FASTA file you used for peptide-spectrum matching. However, if the FASTA file is excessively
          large, it can
          significantly increase Prophane's runtime. Ideally, the FASTA file should contain all sequences present in the
          identification file and no more. Avoid using sequence accession IDs containing pipes ('|') to ensure
          consistent data processing by Prophane. Sequence IDs with two or more pipes, such as Uniprot protein
          accessions, will be processed (e.g. from
          sp|O70558|SPR2G_MOUSE to 070558).
        </div>
        <br>
        <div></div>
        <p class="header_2">Exclude<p>
        <div>
          In the 'Exclude' option, you can omit specific proteins, such as contaminations, from the analysis based on
          their accessions and string matching.<br>
          For example, if you have contamination proteins with accessions starting with "CON_," select "Accessions
          starting with" in the exclude field and enter "CON_."
        </div>
        <br>

          <div class="image-container" style="width: 60%;">
            <img src="assets/img/input_tutorial.png" alt="input">
          </div>
        <br>
        <div class="tutorial">
          <p style="font-weight: bold;">Hands-On Tutorial: Setting Up Your Prophane Job</p>
          <dl class="row">
            <dt class="col-sm-3"><strong>1. Job Label:</strong></dt>
            <dd class="col-sm-9"> Name your new Prophane job, e.g. "Gut Microbiome Analysis".</dd>
            <dt class="col-sm-3"><strong>2. Source:</strong></dt>
            <dd class="col-sm-9"> Choose "MPA (multiple experiment)" as input format.</dd>
            <dt class="col-sm-3"><strong>3. Report file:</strong></dt>
            <dd class="col-sm-9"> Upload the "GutMicrobiome_Workshop.csv" file as the protein identification file.</dd>
            <dt class="col-sm-3"><strong>4. FASTA file:</strong></dt>
            <dd class="col-sm-9"> Upload the "GutMicrobiome_Metagenome.fasta" file.</dd>
            <dt class="col-sm-3"><strong>5. Exclude:</strong></dt>
            <dd class="col-sm-9">Select "accessions starting with" as the exclusion criteria, and enter "ALBU_" to
              exclude all albumin proteins from the Prophane analysis.</dd>
          </dl>
        </div>
        <mat-action-row>
          <button mat-button color="warn" (click)="prevStep()">Previous</button>
          <button mat-button color="primary" (click)="nextStep()">Next</button>
        </mat-action-row>
      </mat-expansion-panel>

      <mat-expansion-panel [expanded]="step === 5" (opened)="setStep(5)"  >
        <mat-expansion-panel-header class="expansion-header-tutorial">
          <mat-panel-title>
            2. Sample Groups
          </mat-panel-title>
        </mat-expansion-panel-header>
        <br>
        <div class="instruction">
          <p class="bold">Step by Step Instruction: Creating Sample Groups in Prophane</p>
          <dl class="row">
            <dt class="col-sm-3"><strong>1. Add Group:</strong></dt>
            <dd class="col-sm-9"> Click the "Add Group" button to begin creating a new sample group.</dd>
            <dt class="col-sm-3"><strong>2. Sample Group Naming:</strong></dt>
            <dd class="col-sm-9"> Name your sample group descriptively (e.g., "Treated Group"). You have the flexibility
              to choose arbitrary names for your sample groups as desired.</dd>
            <dt class="col-sm-3"><strong>3. Add Samples:</strong></dt>
            <dd class="col-sm-9"> For each sample that belongs to this group, click the '+' button to add a new Sample.
            </dd>
            <dt class="col-sm-3"><strong>4. Sample Names:</strong></dt>
            <dd class="col-sm-9"> Enter the correct sample name exactly as it appears in the protein identification
              file. Ensure accuracy in spelling.</dd>
            <dt class="col-sm-3"><strong>5. Control Naming:</strong></dt>
            <dd class="col-sm-9">Double-check to confirm that the sample name is spelled correctly. </dd>
          </dl>
        </div>
       
        In this section, you have the option to categorize your samples into different sample groups. These sample
        groups are crucial for obtaining average quantification values across various samples and enable you to compare
        different sets of samples, such as untreated samples versus treated samples.
        <br>
        The mean quantification values for each sample group will be included in the final output, which consists of the
        "summary.csv" table and the "lca_summary.mztab" file. These values are also visualized in the Krona-Plots.
        Additionally, the
        quantification values for each individual sample will be reported. However, if no sample groups are specified,
        quantification will be performed separately for each individual sample.
        <br>
        This flexibility in sample grouping and quantification allows you to tailor your analysis to your specific
        experimental design and research goals.
        <br>
        Please note that Prophane extracts sample names from various protein reports, so it's essential to use the exact
        same sample names as they appear in these reports to ensure accurate grouping and analysis. The "Sample Group" part of the 
        <a routerLink="/about" style="color:blue"> Prophane documentation </a>
        describes how Prophane extract sample names from different protein reports.
        <br> <br>

          <div class="image-container" style="width: 60%;">
            <img src="assets/img/sample_groups.png" alt="input">
          </div>
          <br>
        <div class="tutorial">
          <p class="bold">Hands-On Tutorial: Creating Sample Groups in Prophane</p>
          <div>Fill in the following fields according to the example picture.</div>
          <dl class="row">
            <dt class="col-sm-3"><strong>1. Add Group:</strong></dt>
            <dd class="col-sm-9"> Add two sample groups by clicking "Add Group"</dd>
            <dt class="col-sm-3"><strong>2. Sample Group Naming:</strong></dt>
            <dd class="col-sm-9"> Name your sample group descriptively, e.g., "pre-diet" and "post-diet"</dd>
            <dt class="col-sm-3"><strong>3. Add Samples:</strong></dt>
            <dd class="col-sm-9"> Add three samples to both groups by clicking "+".</dd>
            <dt class="col-sm-3"><strong>4. Sample Names:</strong></dt>
            <dd class="col-sm-9"> Enter the correct sample names. This must be a 100% match to sample names used in the
              identification file (see
              picture above).</dd>
          </dl>
        </div>
        <mat-action-row>
          <button mat-button color="warn" (click)="prevStep()">Previous</button>
          <button mat-button color="primary" (click)="nextStep()">Next</button>
        </mat-action-row>
      </mat-expansion-panel>

      <mat-expansion-panel [expanded]="step === 6" (opened)="setStep(6)"  >
        <mat-expansion-panel-header class="expansion-header-tutorial">
          <mat-panel-title>
            3. Quantification
          </mat-panel-title>
        </mat-expansion-panel-header>
        <br>
        <div class="instruction">
          <p class="bold">Step by Step Instruction: Quantification Method</p>
          <dl class="row">
            <dt class="col-sm-3"><strong>Quantification Method:</strong></dt>
            <dd class="col-sm-9"> Use the drop-down menu to select your preferred quantification method.
              <br> <strong>Default setting:</strong> {{quantdata[0].name}}.
            </dd>
          </dl>
        </div>
        Normalized Spectral Abundance Factor (NSAF) is a label-free quantification method that normalizes the number of
        identified spectra to the size of the metaprotein. The normalization can be performed relative to the largest,
        smallest protein within the protein group, or to the mean of all protein group members. This method is suitable
        for all input protein reports that include spectral counts.
        <br>
        <s style="text-decoration:underline;">Proteome Discoverer Protein Group Reports: Special Consideration</s>
        <br>
        It's important to note that the quantification in Proteome Discoverer protein group reports is not based on
        spectral counts, and the abundances are already normalized within these reports. Therefore, when working with
        Proteome Discoverer protein group reports, select the "raw" option to preserve the existing normalization.
        <br>
        For more detailed information about the different normalization methods and when to use them, you can refer to
        the "Quantification" part of the 
        <a routerLink="/about" style="color:blue">Prophane documentation </a>
        describing these methods in greater detail.
        <br><br>
        <div class="image-container" style="width: 60%;">
          <img src="assets/img/quantification.png" alt="quantification">
        </div>
        <br>
        <div class="tutorial">
          <p class="bold">Hands-On Tutorial: Quantification Method</p>
          <dl class="row">
            <dt class="col-sm-3"><strong>Quantification Method:</strong></dt>
            <dd class="col-sm-9"> Choose NSAF (normalized to mean metaprotein)</dd>
          </dl>
        </div>
        <mat-action-row>
          <button mat-button color="warn" (click)="prevStep()">Previous</button>
          <button mat-button color="primary" (click)="nextStep()">Next</button>
        </mat-action-row>
      </mat-expansion-panel>

      <mat-expansion-panel [expanded]="step === 7" (opened)="setStep(7)"  >
        <mat-expansion-panel-header class="expansion-header-tutorial">
          <mat-panel-title>
            4. Taxonomic Annotation
          </mat-panel-title>
        </mat-expansion-panel-header>
        <br>
        <div class="instruction">
          <p class="bold">Step by Step Instruction: Taxonomic Annotation</p>
          <dl class="row">
            <dt class="col-sm-3"><strong>1. Task Label:</strong></dt>
            <dd class="col-sm-9"> Name your task descriptively.</dd>
            <dt class="col-sm-3"><strong>2. Reference Database:</strong></dt>
            <dd class="col-sm-9"> Choose your preferred protein sequence database to be used for the sequence homology
              search.
            </dd>
            <dt class="col-sm-3"><strong>3. Search Algorithm:</strong></dt>
            <dd class="col-sm-9"> There's no choice here; the default search algorithm is always DIAMOND BLASTP.
            </dd>
            <dt class="col-sm-3"><strong>4. E-Value:</strong></dt>
            <dd class="col-sm-9"> Define the E-value. Smaller values make the search stricter. Alternatively, choose
              from the drop-down menu options: Relaxed, Mid-Range, or Strict.</dd>
            <dt class="col-sm-3"><strong>5. Optional: Add Advanced Options</strong></dt>
            <dd class="col-sm-9">If needed, you can include advanced options by selecting an option and then clicking
              the "+" button.</dd>
          </dl>
          <br>
          <dl class="row">
            <dt class="col-sm-3"><strong>Adding a New Taxonomic Task:</strong></dt>
            <dd class="col-sm-9">To create an additional taxonomic task, click the "Add Task" button and define the
              parameters as described above.</dd>
            <dt class="col-sm-3"><strong>Removing a Taxonomic Task:</strong></dt>
            <dd class="col-sm-9">To remove a taxonomic task, click the '-' button located on the right side of the "Task
              Label" field.</dd>
          </dl>
        </div>
        <br>

        <p class="header_2">Taxonomic Annotation in Prophane<p>
        Taxonomic annotation in Prophane involves a search within the selected reference database to find proteins that
        bear similarity to those present in your analysis. Subsequently, Prophane retrieves the associated taxon ID and
        outlines the entire taxonomic lineage of the protein that exhibits the closest resemblance to the query.<br>
        The search algorithm employed in Prophane is DIAMOND BLASTP. This powerful algorithm is responsible for
        identifying sequence homologies within the specified protein database.
        <br><br>
        Prophane supports following protein sequence databases:
        <ul class="bullet_list" *ngFor="let db of TaxonomicDatabases ">
          <li>
            <span>{{db.name}}</span>
          </li>
        </ul>
        <br>
        For more detailed information about the DIAMOND BLASTP algorithms please crefer to the Prophane About page.
        You can explore different protein databases and their unique characteristics by consulting the 
        "Annotation Databases & Algorithms & Parameters" part of the 
        <a routerLink="/about"  style="color:blue"> Prophane Documentation</a>.
        <br><br>
        <p class="header_2">Parameters for Taxonomic Annotation in Prophane<p>
        <p class="header_3">E-Value:<p>
        The E-value parameter defines the threshold for similarity for reported proteins. Smaller E-values indicate
        more stringent similarity criteria, resulting in reporting only very closely matching proteins. Conversely,
        larger E-values, referred to as the "relaxed" setting, expand the reporting to include more matches with varying
        degrees of similarity.
        <br>
        <p class="header_3">Advanced Options:<p>
        For comprehensive information on additional parameters and their functionalities, please refer to the
        <a target="_blank" style="color:blue"
          href="https://github.com/bbuchfink/diamond/raw/master/diamond_manual.pdf">DIAMOND documentation</a>.
        This resource provides in-depth insights into the various options available for optimizing your
        taxonomic annotation analysis in Prophane.

          <div class="image-container" style="width: 60%;">
            <img src="assets/img/taxonomic_annotation.png" alt="defining taxonomic task">
          </div>
        <br>/home/jules/Documents/Metaproteomics/Prophane/prophane_tutorial_img/Custom_map_2.png /home/jules/Documents/Metaproteomics/Prophane/prophane_tutorial_img/Custom_map_1.png
        <div class="tutorial">
          <p class="bold">Hands-On Tutorial:: Taxonomic Annotation</p>
          <dl class="row">
            <dt class="col-sm-4"><strong>1. Task Label:</strong></dt>
            <dd class="col-sm-8"> Name the task, e.g. "Uniprot annotation".</dd>
            <dt class="col-sm-4"><strong>2. Reference Database:</strong></dt>
            <dd class="col-sm-8"> Choose reference database "UniprotKB". </dd>
            <dt class="col-sm-4"><strong>3. Search Algorithm and Advanced Parameters:</strong></dt>
            <dd class="col-sm-8"> Use Default Settings, nothing to be done.
            </dd>
          </dl>
          <br>
          <dl class="row">
            <dt class="col-sm-4"><strong>4. Add new taxonomic task:</strong></dt>
            <dd class="col-sm-8"> Click "Add Task" button. </dd>
            <dt class="col-sm-4"><strong>5. Task Label:</strong></dt>
            <dd class="col-sm-8">Name the task, e.g. "Swissprot annotation"</dd>
            <dt class="col-sm-4"><strong>6. Reference Database:</strong></dt>
            <dd class="col-sm-8">Choose reference database "Swiss-Prot".</dd>
            <dt class="col-sm-4"><strong>7. Search Algorithm and Advanced Parameters:</strong></dt>
            <dd class="col-sm-8"> Use Default Settings, nothing to be done
          </dl>
        </div>
        <mat-action-row>
          <button mat-button color="warn" (click)="prevStep()">Previous</button>
          <button mat-button color="primary" (click)="nextStep()">Next</button>
        </mat-action-row>
      </mat-expansion-panel>

      <mat-expansion-panel [expanded]="step === 8" (opened)="setStep(8)"  >
        <mat-expansion-panel-header class="expansion-header-tutorial">
          <mat-panel-title>
            5. Functional Annotation
          </mat-panel-title>
        </mat-expansion-panel-header>
        <br>
        <div class="instruction">
          <p class="bold">Step by Step Instruction: Functional Annotation</p>
          <dl class="row">
            <dt class="col-sm-3"><strong>1. Task Label:</strong></dt>
            <dd class="col-sm-9"> Name your task descriptively.</dd>
            <dt class="col-sm-3"><strong>2. Reference Database:</strong></dt>
            <dd class="col-sm-9"> Choose your preferred protein sequence database to be used for the sequence homology
              search.
            </dd>
            <dt class="col-sm-3"><strong>3. Search Algorithm:</strong></dt>
            <dd class="col-sm-9"> Emapper for EggNog database, for other databases choose between hmmscan and hmmsearch.
            </dd>
            <dt class="col-sm-3"><strong>4. E-Value:</strong></dt>
            <dd class="col-sm-9"> Define the E-value. Smaller values make the search stricter. Alternatively, choose
              from the drop-down menu options: Relaxed, Mid-Range, or Strict.</dd>
            <dt class="col-sm-3"><strong>5. m-Value:</strong></dt>
            <dd class="col-sm-9">Only for Eggnog database Choose you prefrerred method used by the emapper algorithm
            <dt class="col-sm-3"><strong>5. Optional: Add Advanced Options</strong></dt>
            <dd class="col-sm-9">If needed, you can include advanced options by selecting an option and then clicking
              the "+" button.</dd>
          </dl>
          <br>
          <dl class="row">
            <dt class="col-sm-3"><strong>Adding a New Functional Task:</strong></dt>
            <dd class="col-sm-9">To create an additional functional task, click the "Add Task" button and define the
              parameters as described above.</dd>
            <dt class="col-sm-3"><strong>Removing a Functional Task:</strong></dt>
            <dd class="col-sm-9">To remove a functional task, click the '-' button located on the right side of the
              "Task
              Label" field.</dd>
          </dl>
        </div>
        <p class="header_2">Functional Annotation in Prophane<p>
          Functional annotation in Prophane involves a search within the selected functional database to find proteins that
          bear similarity to those present in your analysis. Subsequently, Prophane retrieves the annotated functions and
          outlines different functional annotation levels of the protein that exhibits the closest resemblance to the query.<br>
          The search algorithm employed in Prophane is hmmscan, hmmsearch or emapper.
          <br><br>
        Prophane supports following protein functional databases:
        <ul class="bullet_list" *ngFor="let funcTask of FunctionalDatabases">
          <li>
            <span>{{funcTask.name}}</span>
          </li>
        </ul>
        <br>
        For more detailed information about the different functional databases please crefer to the Prophane About page.
        You can explore different protein databases and their unique characteristics by consulting the 
        "Annotation Databases & Algorithms & Parameters" part of the 
        <a routerLink="/about"  style="color:blue"> Prophane Documentation</a>.
        <br> <br>
        <p class="header_2">Parameters for Functional Annotation in Prophane<p>
        <p class="header_3">E-Value:<p>
        The E-value parameter defines the threshold for similarity for reported proteins. Smaller E-values indicate
        more stringent similarity criteria, resulting in reporting only very closely matching proteins. Conversely,
        larger E-values, referred to as the "relaxed" setting, expand the reporting to include more matches with varying
        degrees of similarity.
        <br>
        <p class="header_3">Advanced Options:<p>
        For comprehensive information on additional parameters and their functionalities, please refer to the
        <a target="_blank" style="color:blue" href="">EggNog documentation</a> and <a target="_blank" style="color:blue"
          href="">HAMMr documentation</a>
        This resources provide in-depth insights into the various options available for optimizing your
        functional annotation analysis in Prophane.

          <div class="image-container" style="width: 60%;">
            <img src="assets/img/functional_annotation.png" alt="functional task">
          </div>
        <br>
        <div class="tutorial">
          <p class="bold">Hands-On Tutorial:: Taxonomic Annotation</p>
          <dl class="row">
            <dt class="col-sm-4"><strong>1. Task Label:</strong></dt>
            <dd class="col-sm-8"> Name the task, e.g. "EggNog annotation".</dd>
            <dt class="col-sm-4"><strong>2. Reference Database:</strong></dt>
            <dd class="col-sm-8"> Choose reference database "EggNog". </dd>
            <dt class="col-sm-4"><strong>3. Search Algorithm and Advanced Parameters:</strong></dt>
            <dd class="col-sm-8"> Use Default Settings, nothing to be done.
            </dd>
          </dl>
          <br>
          <dl class="row">
            <dt class="col-sm-4"><strong>4. Add new functional task:</strong></dt>
            <dd class="col-sm-8"> Click "Add Task" button. </dd>
            <dt class="col-sm-4"><strong>5. Task Label:</strong></dt>
            <dd class="col-sm-8">Name the task, e.g. "Pfams annotation".</dd>
            <dt class="col-sm-4"><strong>6. Reference Database:</strong></dt>
            <dd class="col-sm-8">Choose reference database "PFAMs".</dd>
            <dt class="col-sm-4"><strong>7. Search Algorithm and Advanced Parameters:</strong></dt>
            <dd class="col-sm-8"> Use Default Settings, nothing to be done.
          </dl>
        </div>
        <mat-action-row>
          <button mat-button color="warn" (click)="prevStep()">Previous</button>
          <button mat-button color="primary" (click)="nextStep()">Next</button>
        </mat-action-row>
      </mat-expansion-panel>

      <mat-expansion-panel [expanded]="step === 9" (opened)="setStep(9)"  >
        <mat-expansion-panel-header class="expansion-header-tutorial">
          <mat-panel-title>
            6. Custom Map Annotation
          </mat-panel-title>
        </mat-expansion-panel-header>
        <br>
        <div class="instruction">
          <p class="bold">Step by Step Instruction: Custom Map Annotation</p>
          <dl class="row">
            <dt class="col-sm-3"><strong>1. Add a new custom map task</strong></dt>
            <dd class="col-sm-9">  </dd>
            <dt class="col-sm-3"><strong>2. Task Label:</strong></dt>
            <dd class="col-sm-9"> Name your task descriptively.</dd>
            <dt class="col-sm-3"><strong>3. Scope:</strong></dt>
            <dd class="col-sm-9"> Define the scope of your analysis, whether it's functional or taxonomical. Please note
              that this choice does not affect the analysis itself; it is used for automated naming purposes.
            </dd>
            <dt class="col-sm-3"><strong>4. Custom Map:</strong></dt>
            <dd class="col-sm-9"> Select and upload your custom map file, which contains the custom annotation
              information.
            </dd>
          </dl>
          <br>
          <dl class="row">
            <dt class="col-sm-3"><strong>Adding a New Custom Map Task:</strong></dt>
            <dd class="col-sm-9">To create an additional custom map task, click the "Add Task" button and define the
              parameters as described above.</dd>
            <dt class="col-sm-3"><strong>Removing a Custom Map Task:</strong></dt>
            <dd class="col-sm-9">To remove a custom map task, click the '-' button located on the right side of the
              "Task
              Label" field.</dd>
          </dl>
        </div>
        <br>
        <p class="header_2">Custom Map Annotation in Prophane<p>
        Prophane allows users to upload custom maps for taxonomic or functional annotations. These user-specified custom
        maps enable the mapping of identified protein accessions to specific taxonomic or functional information. The
        "acc2annot_mapper" within Prophane matches annotations based on protein accessions.
        <br>
        One common use case for custom maps is assigning taxa to protein groups in experiments with a known sample
        composition. Custom maps containing protein accessions and species lineages allow for tailored annotation, even
        excluding species with similar sequences.
        <br>
        Annotations are extracted from a user-provided tab-separated table (TSV) file. The names of the annotation
        levels are derived from the column names in the user-provided table, which serves as the basis for annotation.
        It's important to avoid using spaces, commas, tabulators, and semicolons in the column names.
        <br><br>
        For more detailed information about the format specifications for custom maps, please refer to 
        the "Custom Maps" part of the 
        <a routerLink="/about"  style="color:blue"> Prophane Documentation</a>.
        <br><br>
        If you want to use your custom map, first add a new custom map task:
        <br>
        <div class="image-container" style="width: 50%;">
          <img src="assets/img/Custom_map_1.png" alt="Custom Map Annotation Add Task">
        </div>
        <br>
        Name your tasks and choose custom map file for upload:
        <br><br>
        <div class="image-container" style="width: 50%;">
          <img src="assets/img/Custom_map_2.png" alt="Custom Map Annotation">
        </div>
        <br>
        
        <div class="tutorial">
          <p style="font-weight: bold;">Hands-On Tutorial: Custom Map Annotation</p>
          <ul class="nb_list">
            <li>Skip this part and go to next step.</li>
          </ul>
        </div>
        <mat-action-row>
          <button mat-button color="warn" (click)="prevStep()">Previous</button>
          <button mat-button color="primary" (click)="nextStep()">Next</button>
        </mat-action-row>
      </mat-expansion-panel>

      <mat-expansion-panel [expanded]="step === 10" (opened)="setStep(10)"  >
        <mat-expansion-panel-header class="expansion-header-tutorial">
          <mat-panel-title>
            7. Lowest Common Ancestor (LCA)
          </mat-panel-title>
        </mat-expansion-panel-header>
        <br>
        <div class="instruction">
          <p class="bold">Step by Step Instruction: Lowest Common Ancestor</p>
          <dl class="row">
            <dt class="col-sm-3"><strong>1. LCA Method:</strong></dt>
            <dd class="col-sm-9"> Choose between the LCA methods "LCA per group" and "democratic LCA". The default
              selection is "LCA per group."</dd>
            <dt class="col-sm-3"><strong>2. Threshold:</strong></dt>
            <dd class="col-sm-9"> IIf you opt for the "LCA per group" method, define the threshold value. This threshold
              specifies the minimum percentage of shared annotations required for LCA selection. The threshold value can
              range from 0 to 1, with the default set at 1.
            </dd>
            <dt class="col-sm-3"><strong>3. Optional: Add Advanced Options:</strong></dt>
            <dd class="col-sm-9"> Add advanced options by selecting an option and clicking the '+' button.
            </dd>
          </dl>
          <dl class="row">
            <dt class="col-sm-3"><strong>Remove an options:</strong></dt>
            <dd class="col-sm-9"> Use the '-' button located on the right side of the parameter field.</dd>
          </dl>
        </div>

        <p class="header_2">LCA in Prophane<p>
        The LCA approach searches hierarchical data to find the lowest common node shared by all members of
        a group. For every functional or taxonomical annotation at each annotation level, Prophane determines an LCA to
        represent all protein group members. Often, proteins within a group or metaproteins have different annotations.
        To obtain a unified representative for all members, Prophane determines the lowest common ancestor among them.
        If this is not possible the assigned LCA-value is referred to as "various".

        Two different methods are available for LCA determination: <br>
        The <strong>"LCA per group" </strong> method determines the LCA based on annotations of proteins within a
        protein group.
        It allows users to set a threshold value for each group, ranging from 0 to 1.A threshold value of 1 returns an
        LCA only if all annotations of all protein group members match; otherwise, "various" is returned.
        For example, with a threshold value of 0.51, Prophane returns an LCA if more than half of the annotations are
        the same. <br>

        The <strong>"democratic LCA" </strong> method selects the annotation that occurs most frequently across all
        protein groups from each protein group. <br>

        <p class="header_2">Advanced Options<p>
        <ul class="bullet_list">
          <li><strong>ignore_unclassified: </strong>This advanced option considers only proteins for LCA determination
            if an annotation was found (excluding "unclassified" annotations).</li>
          <li><strong>minimum_number_of_annotations: </strong>This advanced option considers only proteins for LCA
            determination if an annotation was found (excluding "unclassified" annotations).</li>
        </ul>

        <p class="header_3">ignore_unclassified<p>
        The advanced option "ignore_unclassified" only takes into account for LCA-determination proteins for which an
        annotation was found (no "unclassified" annotations).<br>
        <p class="header_3">minimum_number_of_annotations<p>
        The "minimum_number_of_annotations" advanced option in Prophane empowers users to specify a minimum count of
        annotations within the annotation lineage that will be taken into account by the LCA methods. This feature
        proves especially useful for effectively managing annotations that might be considered extraneous or less
        informative.<br>
        For instance, when dealing with annotations like vector annotation that typically
        consist of lineage with only one-level annotations, this option allows users to filter out these less
        informative annotations, ensuring a more meaningful and accurate LCA determination process.
        <br>
        For more detailed information about LCA determination and further explanations, please refer to the provided "LCA" part of the
        <a
          routerLink="/about" style="color:blue">Prophane documentation</a>.
        <div class="image-container" style="width: 60%;">
          <img src="assets/img/LCA.png" alt="LCA">
        </div>

        <br>
        <div class="tutorial">
          <p class="bold">Hands-On Tutorial:: Lowest Common Ancestor</p>
          <dl class="row">
            <dt class="col-sm-4"><strong>1. LCA method:</strong></dt>
            <dd class="col-sm-8"> Choose the "LCA per group" method.</dd>
            <dt class="col-sm-4"><strong>2. threshold</strong></dt>
            <dd class="col-sm-8"> Define a threshold value of 0.51. </dd>
            <dt class="col-sm-4"><strong>3. Add Advanced Options:</strong></dt>
            <dd class="col-sm-8"> Choose option "minimum_numer_of_annotation" AND click the '+' button.
            <dt class="col-sm-4"><strong>4. Minimum number of annotaions:</strong></dt>
            <dd class="col-sm-8"> Enter the value 2.
            </dd>
          </dl>
        </div>
        <mat-action-row>
          <button mat-button color="warn" (click)="prevStep()">Previous</button>
          <button mat-button color="primary" (click)="nextStep()">Next</button>
        </mat-action-row>
      </mat-expansion-panel>

      <mat-expansion-panel [expanded]="step === 11" (opened)="setStep(11)"  >
        <mat-expansion-panel-header class="expansion-header-tutorial">
          <mat-panel-title>
            8. Submit your Job
          </mat-panel-title>
        </mat-expansion-panel-header>
        <br>
        <p class="header_2">Starting Your Prophane Analysis<p>
        The summary allows you to ensure that your input files and task settings are accurately configured to meet your
        analysis requirements.
        Once you've verified your inputs and settings, proceed by clicking the 'Submit' button to initiate the
        analysis.<br>
        Your files are uploaded to the Prophane server, and the analysis process begins. Please note that a typical
        Prophane run may take several hours.<br>
        All submitted Prophane jobs are queued. The time it takes to start your Prophane job depends on your position in
        the queue. Please be patient.<br>
        Once your Prophane job is successfully completed, you will receive an email notification if you are logged in to
        your account or if you've provided an email address.
        If you are not logged in, you can utilize the provided link to check the Prophane job status.<br>
        To access and download the analysis results, you have two options: you can either log in to your user account
        and use the Job Control panel,
        or you can use the download link you stored when submiiting the prophane job (same link is provided in the email
        notification ).
        <br>
        <div class="image-container" style="width: 60%;">
          <img src="assets/img/submit_tutorial.png" alt="summary">
        </div>
        <br>
        <div class="tutorial">
          <p style="font-weight: bold;">Hands-On Tutorial:</p>
          <ul class="nb_list">
            <li>1. Check if all inputs and task settings are correct. Compare with picture above.</li>
            <li>2. Click "Submit" button.</li>
          </ul>
        </div>
        <mat-action-row>
          <button mat-button color="warn" (click)="prevStep()">Previous</button>
          <button mat-button color="primary" (click)="nextStep()">Next</button>
        </mat-action-row>
      </mat-expansion-panel>


      <mat-expansion-panel [expanded]="step === 12" (opened)="setStep(12)"  >
        <mat-expansion-panel-header class="expansion-header-tutorial">
          <mat-panel-title>
            Job Control
          </mat-panel-title>
        </mat-expansion-panel-header>
        <br>
        In the Job Control panel, accessible to registered users, you can view all your submitted jobs. This panel
        provides real-time updates on the status of your jobs, which may include being in a queue, running, completed,
        or marked as failed.
        <br><br>
        Once your Prophane job is ready, you'll find a download link under the "Results" section, allowing you to
        retrieve your analysis results. Additionally, a link to view the resulting Krona plots in your web browser is
        provided.
        <br><br>
        The Job Control panel offers an organized and efficient way to manage your Prophane jobs and access the outcomes
        of your analyses.
        <br><br>
        <div class="image-container" style="width: 80%;">
          <img src="assets/img/job_control.png" alt="Job Control" >
        </div>
        <mat-action-row>
          <button mat-button color="warn" (click)="prevStep()">Previous</button>
          <button mat-button color="primary" (click)="nextStep()">Next</button>
        </mat-action-row>
      </mat-expansion-panel>

      <mat-expansion-panel [expanded]="step === 13" (opened)="setStep(13)"  >
        <mat-expansion-panel-header class="expansion-header-tutorial">
          <mat-panel-title>
            Prophane Results
          </mat-panel-title>
        </mat-expansion-panel-header>
        <br>
        <p class="header_2">Accessing Your Prophane Analysis Results<p>
        <ul class="nb_list">
          <li><strong>1. Download the result.zip File:</strong> Start by downloading the result.zip file and then unzip
            it.</li>
          <li><strong>2. Folder Structure:</strong> Upon unzipping the folder, you will encounter various subfolders.
            While most of these are specific to the Prophane analysis and may not be of direct interest to you, there
            are key folders to focus on:
          </li>
          <li><strong>3. Summary of the Prophane Analysis:</strong> You can access a summary of the analysis in one of
            the following formats:
            <ul class="bullet_list">
              <li><strong>"summary.txt"</strong> file: This file provides a Prophane analysis summary in a
                tab-separated format.
                It can be easily imported into Excel for further analysis.</li>
              <li><strong>"lca_summary.mztab"</strong> and <strong>"protein_summary.mztab"</strong> files: These files
                offer a standardized summary format. The "lca_summary.mztab" file contains group results, including LCA
                and quantification results. On the other hand, the "protein_summary.mztab" file contains annotations of
                the proteins analyzed. For more detailed explanations of these different summary output formats, you can
                refer to [link] and [link].
              </li>
            </ul>
          </li>
          <li><strong>4. Summary Visualization:</strong> Krona plots are interactive HTML5 charts of hierarchical data
            and visualize the taxonomic or functional abundances in a metagenome.<br>
            These plots can be found in the "plots" folder.<br>
            The Krona plots provide an interactive visualization of the annotation results, more precisely from the lca
            results of the metaproteins . They specifical desined for the vizualization of metabiome analyses. The size
            of the boxes corresponds to the percentage of the summed quantification results of all groups sharing the
            same LCA of the corresponding level. In the middle you find the top level annotation. For taxonomic
            annotation this corresponds to the superkingdom level. The further out you go, the more specific the
            annotations level and the more often you see various.
            You can zoom into the Krona Plot and zoom out. And you can change the showed results between sample groups and samples.</li>
        </ul>
        For more detailed information about Prophane results and further explanations, please refer to the provided "Result" part of the
        <a
          routerLink="/about" style="color:blue">Prophane documentation</a>.

        <div class="image-container" style="width: 60%;">
          <img src="assets/img/Krona.png" alt="Krona Plot">
        </div>
        <div class="tutorial">
          <p style="font-weight: bold;">Hands-On Tutorial:</p>
          <ul class="nb_list">
            <li>1. Download the result.zip File by clicking on download link.</li>
            <li>2. Check out your results.</li>
          </ul>
          Load the summary.txt into excel and examine the results:<br>
          <ul class="nb_list">
            <li>Open Excel</li>
            <li>Go to data panel.</li>
            <li>To Fill.</li>
            <li>Examine summary.txt: you see Two differnt row types: the group summary row with the 
              lca and quantification results and the protein rows containing annotations per protein 
              (multiple annotations per protein possible)</li>
          </ul>
          <br>
          Check the Krona Plot:<br>
          <ul class="nb_list">
            <li>Open by clicking on one of the html files in the plots folder.</li>
            <li>Examine Krona Plots: The comparison of the taxonomic results between swissprot and 
              uniprot analyses show a lot more unclassified protein groups with the small swissprot 
              database. So for 15% of the protein groups no annotation at all was possible. )
              Closely related species share similar proteins, so identification of proteins in one group.
              For the eggnog db the toplevel annotation (the main role) are cellular processes like metabolism or signalling</li>
          </ul>

        </div>
        <mat-action-row>
          <button mat-button color="warn" (click)="prevStep()">Previous</button>
        </mat-action-row>
      </mat-expansion-panel>
    </mat-accordion>
  </div>
</div>